/*
 * Class EV_COLOR_DIALOG_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1265 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1265 [] = {0xFF01,1551,1264,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1265 [] = {0xFF01,1264,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1265 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1265 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1265 [] = {0xFF01,1264,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1265 [] = {0xFF01,1264,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1265 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1265 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1265 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1265 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1265 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1265 [] = {0xFF01,1264,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1265 [] = {0xFF01,0xFF01,1096,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1265 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1265 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1265 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1265 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1265 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1265 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1265 [] = {0xFF01,962,0xFFFF};


static const struct desc_info desc_1265[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1265), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1265), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1265), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1265), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1265), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1265), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1265), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1265), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1265), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1265), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1265), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1265), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x09E1 /*1264*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1265), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1265), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0891 /*1096*/), 28107, 8},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 12},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1265), 7983, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1265), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7984, 0},
	{EIF_GENERIC(egt_16_1265), 7981, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1265), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7982, 4},
	{EIF_GENERIC(egt_18_1265), 5569, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1265), 5570, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1265), 5571, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1265), 5572, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1265), 5573, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1265), 5574, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1265), 5575, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1265), 5576, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1265), 5577, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1265), 5578, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1265), 5579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1265), 5580, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1265), 5581, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1265), 5582, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1265), 5583, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1265), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x081B /*1037*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0737 /*923*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1265), 28106, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1265), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1265(void)
{
	IDSC(desc_1265, 0, 1264);
	IDSC(desc_1265 + 1, 1, 1264);
	IDSC(desc_1265 + 32, 1513, 1264);
	IDSC(desc_1265 + 59, 88, 1264);
	IDSC(desc_1265 + 65, 319, 1264);
	IDSC(desc_1265 + 80, 1464, 1264);
	IDSC(desc_1265 + 87, 1287, 1264);
	IDSC(desc_1265 + 89, 46, 1264);
	IDSC(desc_1265 + 95, 1623, 1264);
}


#ifdef __cplusplus
}
#endif
